2009年2月15日日曜日

Eclipse PDEのMANIFEST Editorにて

依存しているjarを追加しようと思い[build]タブの[Runtime Information]に[Add library]する。

すると、build.propertiesが以下のように編集される。

何やら警告のマーカーがついていて、説明は

Build entries must contain at least one value
となっているが、何を記述すれば良いのやらワカラン。ソースのjarの位置を指定すればいいのか?と思って試しに「lib/sources/commons-beanutils-1.8.0-sources.jar」とか指定してみたが、警告は消えてくれない。何を指定すればいいんだ><

追記

上記の「lib/sources/commons-beanutils-1.8.0-sources.jar」を指定した状態で警告の説明が「The folder "lib/sources/commons-beanutils-1.8.0-sources.jar" does not exist in the workspace」と変わっていた。フォルダを指定すればいいのか?と思い、指定を「lib/sources」に変えたら警告は消えた。対応するソースjarファイル名を勝手に解決してくれるんだろうか?

コメントを投稿